Create a blocklist entry
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/blacklistentries
Path Parameters
- clientIdstringrequiredDescription
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Form Parameters
- reasonstringDescription
- entrystringrequiredDescription
Responses
201
- RestBlacklistEntry
- mailingGroupIdinteger<int64>DescriptionFormatint64
- patternstringDescription
- reasonstringDescription
- createdstring<date-time>DescriptionFormatdate-time
- modifiedstring<date-time>DescriptionFormatdate-time
- linksobject[]
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
400
curl
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/blacklistentries \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'entry=string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/x-www-form-urlencoded");
var urlencoded = new URLSearchParams();
urlencoded.append("entry", "string");
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: urlencoded,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/blacklistentries", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/blacklistentries")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/x-www-form-urlencoded"
request.body = "entry=string"
response = https.request(request)
puts response.read_body
python
import requests
url = "https://api.campaign.episerver.net/rest/{clientId}/blacklistentries"
payload = 'entry=string'
headers = {
'accept': 'application/json',
'content-type': 'application/x-www-form-urlencoded'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// The blocklist entry was created successfully.
{
"mailingGroupId": "",
"pattern": "",
"reason": "",
"created": "",
"modified": "",
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
]
}400
// A required value for the entry is not provided. Check for the blocklist entry pattern and add it to the request.